AWS
action Fault Injection Simulator

# stop_experiment

Stops the specified experiment

Run it now
View details

Type | action
Module | chaosaws.fis.actions
Name | stop_experiment
Return | mapping

Usage

JSON

    {
      "name": "stop-experiment",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosaws.fis.actions",
        "func": "stop_experiment",
        "arguments": {
          "experiment_id": ""
        }
      }
    }

YAML

    name: stop-experiment
    provider:
      arguments:
        experiment_id: ""
      func: stop_experiment
      module: chaosaws.fis.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
experiment_id | string |  | Yes | Experiment ID | FIS experiment identifier

Example

    > stop_experiment(experiment_id="EXPTUCK2dxepXgkR38")

    {
      "ResponseMetadata": {
        "RequestId": "e5e9f9a9-f4d0-4d72-8704-1f26cc8b6ad6",
        "HTTPStatusCode": 200,
        "HTTPHeaders": {
          "date": "Fri, 13 Aug 2021 09:12:17 GMT",
          ...
        },
        "experiment": {
          "id": "EXPTUCK2dxepXgkR38",
          "experimentTemplateId": "EXT6oWVA1WrLNy4XS",
          ...
        }
      }
    }

Signature

    def stop_experiment(
            experiment_id: str,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- AWS
  action Fault Injection Simulator

  ## `start_experiment`

  Starts running an experiment from the specified experiment template
- AWS
  action Fault Injection Simulator

  ## `restore_availability_zone_power_after_interruption`

  Undo the 'AZ Availability - Power Interruption' scenario
- AWS
  action Fault Injection Simulator

  ## `start_availability_zone_power_interruption_scenario`

  Run the 'AZ Availability - Power Interruption' scenario